/*
 * ==============================================================================
 *  Name        : SimpleCubeApp.cpp
 *  Part of     : OpenGLEx / SimpleCube
 *
 *  Copyright (c) 2004-2006 Nokia Corporation.
 *  This material, including documentation and any related
 *  computer programs, is protected by copyright controlled by
 *  Nokia Corporation.
 * ==============================================================================
 */

// INCLUDE FILES
#include    <eikstart.h>
#include    "SimpleCubeApp.h"
#include    "SimpleCubeDocument.h"

// ================= MEMBER FUNCTIONS =======================

// ---------------------------------------------------------
// CSimpleCubeApp::AppDllUid()
// Returns application UID
// ---------------------------------------------------------
//
TUid CSimpleCubeApp::AppDllUid() const
    {
    return KUidSimpleCube;
    }


// ---------------------------------------------------------
// CSimpleCubeApp::CreateDocumentL()
// Creates CSimpleCubeDocument object
// ---------------------------------------------------------
//
CApaDocument* CSimpleCubeApp::CreateDocumentL()
    {
    return CSimpleCubeDocument::NewL( *this );
    }


// ================= OTHER EXPORTED FUNCTIONS ==============


CApaApplication* NewApplication()
    {
    return new CSimpleCubeApp;
    }

TInt E32Main()
    {
    return EikStart::RunApplication(NewApplication);
    }

// End of File

