/*
 * ==============================================================================
 *  Name        : SimpleCubeDocument.cpp
 *  Part of     : OpenGLEx / SimpleCube
 *
 *  Copyright (c) 2004-2006 Nokia Corporation.
 *  This material, including documentation and any related
 *  computer programs, is protected by copyright controlled by
 *  Nokia Corporation.
 * ==============================================================================
 */


// INCLUDE FILES
#include "SimpleCubeDocument.h"
#include "SimpleCubeAppUi.h"

// ================= MEMBER FUNCTIONS =======================

// -----------------------------------------------------------------------------
// CSimpleCubeDocument::CSimpleCubeDocument
//
// Just calls the base class constructor.
// -----------------------------------------------------------------------------
//

CSimpleCubeDocument::CSimpleCubeDocument(CEikApplication& aApp)
: CAknDocument(aApp)
    {
    }

// -----------------------------------------------------------------------------
// CSimpleCubeDocument::~CSimpleCubeDocument
//
// Empty destructor.
// -----------------------------------------------------------------------------
//

CSimpleCubeDocument::~CSimpleCubeDocument()
    {
    }

// -----------------------------------------------------------------------------
// CSimpleCubeDocument::ConstructL
//
// Empty 2nd phase constructor.
// -----------------------------------------------------------------------------
//

void CSimpleCubeDocument::ConstructL()
    {
    }

// -----------------------------------------------------------------------------
// CSimpleCubeDocument::NewL
//
// -----------------------------------------------------------------------------
//

CSimpleCubeDocument* CSimpleCubeDocument::NewL(
        CEikApplication& aApp)     // CSimpleCubeApp reference
    {
    CSimpleCubeDocument* self = new (ELeave) CSimpleCubeDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
    }

// ----------------------------------------------------
// CSimpleCubeDocument::CreateAppUiL()
// Constructs and returns a CSimpleCubeAppUi object.
// ----------------------------------------------------
//

CEikAppUi* CSimpleCubeDocument::CreateAppUiL()
    {
    return new (ELeave) CSimpleCubeAppUi;
    }

// End of File
